# Uses of Interface
jdk.jshell.execution.LoaderDelegate

Packages that use LoaderDelegate
Package
Description
jdk.jshell.execution
Provides implementation support for building JShell execution engines.

## Uses of LoaderDelegate in jdk.jshell.execution

Constructors in jdk.jshell.execution with parameters of type LoaderDelegate
Modifier
Constructor
Description
``
`DirectExecutionControl(LoaderDelegate loaderDelegate)`
Creates an instance, delegating loader operations to the specified delegate.
``
`LocalExecutionControl(LoaderDelegate loaderDelegate)`
Creates an instance, delegating loader operations to the specified delegate.
``
`RemoteExecutionControl(LoaderDelegate loaderDelegate)`
Creates an instance, delegating loader operations to the specified delegate.